Skip to content
Docs

Updates a disabled Observability Plus project setting

PUThttps://api.vercel.com/v1/observability/manage/configuration/projects/{projectIdOrName}
Updates whether Observability Plus is disabled for a single project.
https://api.vercel.com/v1/observability/manage/configuration/projects/{projectIdOrName}
const response = await fetch('https://api.vercel.com/v1/observability/manage/configuration/projects/projectIdOrName?teamId=string&slug=string', {
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"disabled": "true"
}),
});
const data = await response.json();
console.log(data);
Response
{
"disabledAt": "123",
"id": "icfg_1234567890"
}
AuthorizationbearerToken

Default authentication mechanism

projectIdOrNamestringRequired
The ID or name of the project to update
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
disabledbooleanRequired
Whether Observability Plus should be disabled for the project
200Success
disabledAtnumberOptional
idstringRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
429Error